# $Revision: 1.16 $, $Date: 2000/06/09 16:20:43 $
Summary:	Shared library configuration tool and old dynamic loader
Summary(pl):	Stary loader dynamiczny - do uruchamiania programw z libc5 
Summary(de):	Der alter dynamischer Loader fuer libc5
Summary(fr):	Outil de configuration de la bibliothque partage et ancien chargeur dynamique
Summary(tr):	Ortak kitaplk yaplandrma arac ve dinamik ykleyici
Name:		ld.so
Version:	1.9.9
Release:	8
License:	BSD
Group:		Libraries
Group(fr):	Librairies
Group(pl):	Biblioteki
Source0:	ftp://sunsite.unc.edu:/pub/Linux/GCC/%{name}-%{version}.tar.gz
Patch0:		ld.so-install.patch
Prereq:		basesystem
Exclusivearch:	sparc %{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/lib

%description
This package contains the shared library configuration tool, ldconfig,
which is required by many packages. It also includes the shared library
loader and dynamic loader for Linux libc 5.

%description -l pl
W pakiecie znajduj si narzdzia do konfiguracji bibliotek dynamicznych
libc5 oraz stary loader dynamiczny - rwnie pod libc5.

%description -l de
Dieses Paket enthlt das Shared-Library-Konfigurations-Tool, ldconfig,
welches fr viele Pakete notwendig ist. Es enthlt auerdem den
Shared-Library- Loader und den dynamischen Loader fr Linux libc 5.

%description -l fr
Ce package contient l'utilitaire de configuration pour les librairies
dynamiques, ldconfig, requis par de nombreux packages. Il contient aussi le
chargeur pour les libraries partages et dynamiques de la libc 5.

%description -l tr
Bu paket, pek ok paketin gereksinim duyduu ortak kitaplklar
yaplandrma aracn ve libc-5 iin ortak kitaplk dinamik ykleyicisini
ierir.

%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_libdir},%{_mandir}/man8}

PREFIX=$RPM_BUILD_ROOT \
MANDIR=%{_mandir} \
LIBDIR=%{_libdir} \
sh instldso.sh --force

gzip -9nf README $RPM_BUILD_ROOT%{_mandir}/man8/ld.so.8

%post 	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz

%attr(755,root,root) %{_libdir}/*
%{_mandir}/man*/*.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ld.so.spec,v $
Revision 1.16  2000/06/09 16:20:43  zagrodzki
- release ++
- removed some unnecessary man pages
- builds properly (without compilation)
- install patch (don't run ldconfig on install)

Revision 1.15  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/29 21:42:49  zagrodzki
- changed Prereq: FHS to Prereq: basesystem

Revision 1.12  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.11  2000/03/28 14:03:14  mis
- changed filesystem requirement to FHS

Revision 1.10  1999/07/23 01:18:52  pius
- fixed %post, added %postun,
- added one more macro.

Revision 1.9  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.8  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 07 1999 Jan Rkorajski <baggins@pld.org.pl>
  [1.9.9-6]
- spec cleanup

* Fri Mar 12 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.9.9-5]
- gzipping documentation (instead bzipping)
- removed man group from man pages

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.9.9-1]
- translation modified for pl, 
- fixed files permissions,
- updated to ld.so-1.9.9,
- major changes of the spec file.

* Mon Jun 29 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.9.5-9]
- build for PLD.
